base-4.9.1.0: Basic libraries

Safe Haskell | Trustworthy
Language | Haskell2010

GHC.Char

Contents

- Utilities
- Monomorphic equality operators

Synopsis

- chr :: Int -> Char
- eqChar :: Char -> Char -> Bool
- neChar :: Char -> Char -> Bool

# Utilities

chr :: Int -> Char Source #

The `toEnum` method restricted to the type `Char`.

# Monomorphic equality operators

See GHC.Classes#matching_overloaded_methods_in_rules

eqChar :: Char -> Char -> Bool Source #

neChar :: Char -> Char -> Bool Source #